__gnu_cxx::__detail::_Ffit_finder< _Tp > Class Template Reference

`#include <bitmap_allocator.h>`

Inheritance diagram for __gnu_cxx::__detail::_Ffit_finder< _Tp >:
[legend]

## Public Types

typedef std::pair< _Tp, _Tp > | argument_type
typedef bool | result_type

## Public Member Functions

size_t * | _M_get () const throw ()
_Counter_type | _M_offset () const throw ()
bool | operator() (_Block_pair __bp) throw ()

## Detailed Description

template<typename _Tp>
class __gnu_cxx::__detail::_Ffit_finder< _Tp >

The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.

Definition at line 332 of file bitmap_allocator.h.

## Member Typedef Documentation

## argument_type

typedef std::pair< _Tp, _Tp > std::unary_function< std::pair< _Tp, _Tp > , bool >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 108 of file stl_function.h.

## result_type

typedef bool std::unary_function< std::pair< _Tp, _Tp > , bool >::result_type

inherited

`result_type` is the return type

Definition at line 111 of file stl_function.h.

## Constructor & Destructor Documentation

## _Ffit_finder()

template<typename _Tp >

__gnu_cxx::__detail::_Ffit_finder< _Tp >::_Ffit_finder | ( |  | ) |

inline

Definition at line 343 of file bitmap_allocator.h.

## Member Function Documentation

## _M_get()

template<typename _Tp >

size_t * __gnu_cxx::__detail::_Ffit_finder< _Tp >::_M_get | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 381 of file bitmap_allocator.h.

## _M_offset()

template<typename _Tp >

_Counter_type __gnu_cxx::__detail::_Ffit_finder< _Tp >::_M_offset | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 385 of file bitmap_allocator.h.

## operator()()

template<typename _Tp >

bool __gnu_cxx::__detail::_Ffit_finder< _Tp >::operator() | ( | _Block_pair | __bp | ) |
throw | ( |
| ) |  |

inline

Definition at line 347 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h